Package pywbem :: Module twisted_client :: Class EnumerateClassNames |
[frames] | no frames]

# Class EnumerateClassNames

source code

      twisted.internet.protocol.Factory --+
                                          |
    twisted.internet.protocol.ClientFactory --+
                                              |
                              WBEMClientFactory --+
                                                  |
                                                 EnumerateClassNames

Factory to produce EnumerateClassNames WBEM clients.

Instance Methods
__init__(self, creds, namespace=`'``root/cimv2``'`, **kwargs) | source code
__repr__(self) | source code
parseResponse(self, xml) Parse returned XML and convert into appropriate Python objects. | source code
Inherited from `WBEMClientFactory`: `clientConnectionFailed`, `clientConnectionLost`, `imethodcallPayload`, `methodcallPayload`, `parseErrorAndResponse` Inherited from `twisted.internet.protocol.ClientFactory`: `startedConnecting` Inherited from `twisted.internet.protocol.Factory`: `__providedBy__`, `__provides__`, `buildProtocol`, `doStart`, `doStop`, `logPrefix`, `startFactory`, `stopFactory`

Class Methods
Inherited from `twisted.internet.protocol.Factory`: `forProtocol`

Class Variables
Inherited from `WBEMClientFactory`: `request_xml`, `response_xml`, `xml_header` Inherited from `twisted.internet.protocol.Factory`: `__implemented__`, `noisy`, `numPorts`, `protocol`

Method Details

### __init__(self, creds, namespace=`'``root/cimv2``'`, **kwargs) (Constructor) | source code
Overrides: WBEMClientFactory.__init__

### parseResponse(self, xml) | source code
Parse returned XML and convert into appropriate Python objects. Override in subclass Overrides: WBEMClientFactory.parseResponse (inherited documentation)